Bug 1425067 - openstack-cinder-volume preupgrade validation fails in HA environment because the service is running in active/passive mode
Summary: openstack-cinder-volume preupgrade validation fails in HA environment because...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Emilien Macchi
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-20 13:42 UTC by Marius Cornea
Modified: 2017-05-17 20:01 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:01:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 440488 None None None 2017-03-21 16:39:03 UTC
Launchpad 1665732 None None None 2017-02-20 13:42:58 UTC

Description Marius Cornea 2017-02-20 13:42:58 UTC
openstack-cinder-volume preupgrade validation fails in HA environment because the service is running in active/passive mode so the service is active on a single controller node at a time:

[stack@undercloud-0 ~]$ ## controller-0
[stack@undercloud-0 ~]$ ssh heat-admin@192.168.0.11 /usr/bin/systemctl show 'openstack-cinder-volume' --property ActiveState | grep '\bactive\b'
ActiveState=active
[stack@undercloud-0 ~]$ ## controller-1
[stack@undercloud-0 ~]$ ssh heat-admin@192.168.0.17 /usr/bin/systemctl show 'openstack-cinder-volume' --property ActiveState | grep '\bactive\b'
[stack@undercloud-0 ~]$ ## controller-2
[stack@undercloud-0 ~]$ ssh heat-admin@192.168.0.27 /usr/bin/systemctl show 'openstack-cinder-volume' --property ActiveState | grep '\bactive\b'

We'll probably see this issue with all the pacemaker services which run in active/passive manner: cinder-backup, manila-share

Comment 1 Sofer Athlan-Guyot 2017-03-21 16:39:03 UTC
Resolved by this change.

Comment 2 Sofer Athlan-Guyot 2017-03-22 08:30:34 UTC
Marius could you confirm, so that we can close this one.

Comment 3 Marius Cornea 2017-03-22 12:38:22 UTC
(In reply to Sofer Athlan-Guyot from comment #2)
> Marius could you confirm, so that we can close this one.

Yes, it looks good in the latest build.

Comment 4 Sofer Athlan-Guyot 2017-03-23 11:53:29 UTC
Moving to verified then, right ?

Comment 6 errata-xmlrpc 2017-05-17 20:01:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.